// 接口配置文件
let env = import.meta.env.MODE
let api: ApiConfig
if (env === 'development') {  //开发环境
  api = {
    apiUser: 'http://account2.aiyangniu.net',
    apiContent: 'http://contents2.aiyangniu.net',
    apiCow: 'http://cow.aiyangniu.net',
    apiOrder: 'http://orders2.aiyangniu.net',
    apiItem: 'http://items2.aiyangniu.net',
  }
} else if (env === 'testing') {
  api = {
    apiUser: 'http://account2.aiyangniu.net',
    apiContent: 'http://contents2.aiyangniu.net',
    apiCow: 'http://cow.aiyangniu.net',
    apiOrder : 'http://orders2.aiyangniu.net',
    apiItem: 'http://items2.aiyangniu.net',
  }
} else { //生产环境
  api = {
    apiUser: 'https://account.aiyangniu.cn',
    apiContent: 'https://contents.aiyangniu.cn',
    apiCow: 'https://cow.aiyangniu.cn',
    apiOrder: 'https://orders.aiyangniu.cn',
    apiItem: 'https://items.aiyangniu.cn',
  }
}


export default api
