/** 所有 api 接口的响应数据都应该准守该格式 */
interface ApiResponseData<T> {
  code: number
  data: T
  message: string
  total?: number
  limit?: number
  pageNum?: number
  offset?: number
}

/** api配置格式 */
interface ApiConfig {
  apiUser?: string
  apiContent?: string
  apiCow?: string
  apiOrder?: string
  apiItem?: string
}
